Leap0

Unstage changes

Unstage all currently staged changes in the repository.

POST
/v1/sandbox/{sandboxID}/git/reset

Unstage all currently staged changes in the repository.

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as a Bearer token in the Authorization header. Alternatively, use the leap0-authorization header.

In: header

Path Parameters

sandboxID*string

Unique sandbox identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

path*string

Path to the git repository.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.leap0.dev/v1/sandbox/string/git/reset" \  -H "Content-Type: application/json" \  -d '{    "path": "string"  }'
{  "output": "string",  "exit_code": 0}
{  "message": "string",  "errors": [    {      "field": "string",      "error": "string"    }  ]}
{  "message": "string"}